#!/bin/sh

# ps outputs CPU usage % as a ratio of process lifetime divided by
# process CPU seconds. We want to see more recent sampling.

OS=`uname`
case $OS in 
  AIX)
      `dirname $0`/aixtop 200 2 "$@"
      ;;
  Linux)
      top -bn1 -o %CPU
      ;;
  Solaris)
      prstat -v -s cpu 1 1
      ;;
  *) 
     true ;;
esac


